Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.spi
Class NonManagedConnectionManager

    java.lang.Object
      com.bea.adapter.spi.NonManagedConnectionManager

All Implemented Interfaces:
  Serializable, javax.resource.spi.ConnectionManager

    public class NonManagedConnectionManager

extends Object
implements javax.resource.spi.ConnectionManager, Serializable

A connection manager allows a resource adapter to leverage the connection management offered by a J2EE CA container. This class provides a simple connection manager for resource adapters in a non-managed scenario. Non-managed means there is no J2EE CA container managing the resource adapter. Instances of this class are responsible for delegating the connection request to the `ManagedConnectionFactory` instance.

Author:
  Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`NonManagedConnectionManager(LogContext logContext)`

Method Summary
`Object` | `allocateConnection(javax.resource.spi.ManagedConnectionFactory managedConnectionFactory, javax.resource.spi.ConnectionRequestInfo connectionRequestInfo)` Used by a resource adapter's connection factory to allow "this" connection manager to handle a connection request.
`protected LogContext` | `getLogContext()` Retrieves an object that determines the logging configuration for this instance in the logging framework.
`protected ILogger` | `getLogger()` Retrieves an object used to log information to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonManagedConnectionManager

    public NonManagedConnectionManager(LogContext logContext)

Method Detail

### allocateConnection

    public Object allocateConnection(javax.resource.spi.ManagedConnectionFactory managedConnectionFactory,
                                     javax.resource.spi.ConnectionRequestInfo connectionRequestInfo)
                              throws javax.resource.ResourceException

  Used by a resource adapter's connection factory to allow "this" connection manager to handle a connection request.

  Specified by:
    `allocateConnection` in interface `javax.resource.spi.ConnectionManager`
  Parameters:
    `managedConnectionFactory` - - used to create an instance of a `ManagedConnection`
    `connectionRequestInfo` - - represents information specific to a resource adapter to handle the connection request.
  Returns:
    an application level handle to a managed connection; if the adapter supports CCI, the return value will be an instance of javax.resource.cci.Connection.
  Throws:
    `javax.resource.ResourceException` - - an exceptional condition was encountered while processing the connection request.

### getLogContext

    protected LogContext getLogContext()

  Retrieves an object that determines the logging configuration for this instance in the logging framework.

  Returns:
    an object that determines the logging configuration for this instance.

### getLogger

    protected ILogger getLogger()

  Retrieves an object used to log information to. This method uses the adapter's logical name to determine its logger. Adapter developers can override this method to return a logger that is not based solely on the supplied logging context.

  Returns:
    an object used to log information to.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD